Subject: <draft-hinden-6man-rfc4291bis-01.txt>

From: Bob Hinden <[email-masked]>
Date: Thu, 8 Oct 2015 16:06:16 -0700

Hi,

I published a -01 version of the RFC4291bis "IP Version 6 Addressing Architecture” draft.  See links below.

The main purpose of this draft is as follows was to incorporate the updates made by RFC5952 regarding the text format when outputting IPv6 addresses.  A new section was added for this and all of the addresses in this document were changed to lower case.

Other changes were to revise the update section to document the changes from RFC4291 and a few editorial changes.

You can see the diff from RFC4291 at:

   https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-01.txt

Please review this draft to verify that the changes are appropriate.

This is part of the project to move the core IPv6 specifications to Internet Standard.

Thanks,
Bob

> A new version of I-D, draft-hinden-6man-rfc4291bis-01.txt
> has been successfully submitted by Robert M. Hinden and posted to the
> IETF repository.
> 
> Name:		draft-hinden-6man-rfc4291bis
> Revision:	01
> Title:		IP Version 6 Addressing Architecture
> Document date:	2015-10-08
> Group:		Individual Submission
> Pages:		27
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc4291bis-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-hinden-6man-rfc4291bis/
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc4291bis-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-01
> 
> Abstract:
>   This specification defines the addressing architecture of the IP
>   Version 6 (IPv6) protocol.  The document includes the IPv6 addressing
>   model, text representations of IPv6 addresses, definition of IPv6
>   unicast addresses, anycast addresses, and multicast addresses, and an
>   IPv6 node's required addresses.
> 
>   This document obsoletes RFC 4291, "IP Version 6 Addressing
>   Architecture".
> 
> 
>

---

From: Bob Hinden <[email-masked]>
Date: Fri, 9 Oct 2015 18:30:41 -0700

Hi,

I published a -02 version of the RFC4291bis "IP Version 6 Addressing Architecture” draft.  See links below.

The purpose of this draft is to resolve the open Errata on RFC4291, this includes:

  Errata ID: 3480: Corrects the definition of Interface-Local multicast scope include that packets with
                   interface-local scope received from another node must be discarded
  Errata ID: 1627: Remove extraneous "of" in Section 2.7.
  Errata ID: 2702: This errata is marked rejected.  No change is required.
  Errata ID: 2735: This errata is marked rejected.  No change is required.
  Errata ID: 4406: This errata is marked rejected.  No change is required.
  Errata ID: 2406: This errata is marked rejected.  No change is required.
  Errata ID: 863:  This errata is marked rejected.  No change is required.
  Errata ID: 864:  This errata is marked rejected.  No change is required.
  Errata ID: 866:  This errata is marked rejected.  No change is required.

Other changes were to update the references to current versions of referenced RFCs and a few editorial changes.

  https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-02.txt

Thanks,
Bob

> A new version of I-D, draft-hinden-6man-rfc4291bis-02.txt
> Revision:	02
> Document date:	2015-10-09
> Pages:		28
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc4291bis-02.txt
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc4291bis-02
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-02
> 
> Abstract:
>   Architecture”.

---

From: Bob Hinden <[email-masked]>
Date: Thu, 15 Oct 2015 13:43:42 -0700

Hi,

I published a -03 version of the RFC4291bis "IP Version 6 Addressing Architecture” draft.  See links below.

The main change was to incorporate the updates made by RFC7136 to deprecate the U and G bits in Modified EUI-64 format Internet IDs,

Other changes were to add a note to the reference section acknowledging the authors of the updating documents and a few editorial changes.

 https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-03.txt

Thanks,
Bob

> A new version of I-D, draft-hinden-6man-rfc4291bis-03.txt
> Revision:	03
> Document date:	2015-10-15
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc4291bis-03.txt
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc4291bis-03
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-03
> 
> Abstract:

---

From: Bob Hinden <[email-masked]>
Date: Thu, 15 Oct 2015 14:52:10 -0700

Hi,

I published a -04 version of the RFC4291bis "IP Version 6 Addressing Architecture” draft.  See links below.

The change in this version was to incorporate the updates made by RFC6052.  The change was to add a text in Section 2.3 that points to the IANA registries that records the prefix defined in RFC6052 and a number of	other special use prefixes.

https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-04.txt

Thanks,
Bob

> A new version of I-D, draft-hinden-6man-rfc4291bis-04.txt
> Revision:	04
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc4291bis-04.txt
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc4291bis-04
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-04
> 
> Abstract:

---

From: Bob Hinden <[email-masked]>
Date: Fri, 16 Oct 2015 14:12:06 -0700

Hi,

I published the -05 version of the RFC4291bis "IP Version 6 Addressing Architecture” draft.  See links below.

This version is to incorporate the updates made by RFC7346.  The change was to add Realm-Local scope to the multicast scope table in Section 2.6, and add the updating text to the same section.

You can see the diff from the previous rfc4291bis draft at:

https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-05.txt

Thanks,

Bob

> A new version of I-D, draft-hinden-6man-rfc4291bis-05.txt
> Revision:	05
> Document date:	2015-10-16
> Pages:		29
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc4291bis-05.txt
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc4291bis-05
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-05
> 
> Abstract:

---

From: Ralph Droms <[email-masked]>
Date: Fri, 16 Oct 2015 17:24:29 -0400

Bob - the updates look fine to me.

- Ralph (author of RFC 7346)

> On Oct 16, 2015, at 5:12 PM 10/16/15, Bob Hinden <[email-masked]> wrote:
> 
> Hi,
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Bob Hinden <[email-masked]>
Date: Fri, 16 Oct 2015 14:40:03 -0700

Ralph,

Thanks!

Bob

> On Oct 16, 2015, at 2:24 PM, Ralph Droms <[email-masked]> wrote:
>

---

From: Bob Hinden <[email-masked]>
Date: Mon, 19 Oct 2015 11:23:10 -0700

Hi,

I published the -06 version of the RFC4291bis "IP Version 6 Addressing Architecture” draft.  See links below.

This version is to incorporate the updates made by RFC7371.  The changes were to the flag bits and their definitions in Section 2.6.

https://tools.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-06.txt

Please review this draft to verify that the changes are appropriate.  RFC7371 is relatively new and there may not be any implementations.  We will discuss this in Yokohama.

With this draft, all of the updating RFC have been incorporated.  This rfc4291bis work will be discussed in Yokohama.

Thanks,

Bob

> A new version of I-D, draft-hinden-6man-rfc4291bis-06.txt
> Revision:	06
> Document date:	2015-10-19
> URL:            https://www.ietf.org/internet-drafts/draft-hinden-6man-rfc4291bis-06.txt
> Htmlized:       https://tools.ietf.org/html/draft-hinden-6man-rfc4291bis-06
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-hinden-6man-rfc4291bis-06
> 
> Abstract: